/**
 * Created by park on 2016-09-25.
 */
public class PersonTest {
    public static void main(String[] args) {
        Person p1 = new Person("Park", 15, Gender.FEMALE);  // constructor
        p1.print();                          // print
        p1.setName("Kyoung");                // set
        p1.setAge(10);                       // set
        System.out.printf("Person Name: %s, Age: %d\n", p1.getName(), p1.getAge()); // get

        Person p2 = new Person();           // default constructor
        p2.setName("Shin");                 // set
        p2.setAge(20);                      // set
        System.out.printf("Person Name: %s, Age: %d\n", p2.getName(), p2.getAge()); // get
        System.out.println(p2);             // Person toString

		// command line arguments
		String name = ""; 
        int age = 0; 
        if (args.length == 3) { 
            name = args[0]; 
            age = Integer.parseInt(args[1]); 
			Gender gender = Gender.valueOf(args[2]);
            System.out.printf("name = %s, age = %d, gender = %s\n", name, age, gender); 
			Person p3 = new Person(name, age, gender);	// constructor
			p3.print();
        }

		// user input
		Person p4 = UserInput.getPerson();
		p4.print();

		// Person array & for user input & foreach print
		Person[] pArray = new Person[3];
		for(int i=0; i<pArray.length; i++) {
			pArray[i] = UserInput.getPerson();
		}
		for(Person p : pArray) {
			p.print();
		}

		// Person array using UserInput.getPersons
		Person[] pArray2 = UserInput.getPersons(3);
		for(Person p : pArray2) {
			p.print();
		}

    }
}
